
QGIS Application - Feature request #9023

QGIS cannot open geopdf under Windows (works on Linux)

2013-11-06 03:21 PM - Yannick Portier

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Pull Request or Patch supplied:No Resolution: worksforme

Easy fix?: No Copied to github as #: 17678

Description

pdf is still not supported on windows (both 32b and 64b) whereas it seems to be on Linux and even though is says so when querying

supported gdal formats :

C:\\>gdalinfo --formats

Supported Formats:

  ECW (rov): ERDAS Compressed Wavelets (SDK 5.0)

  JP2ECW (rov): ERDAS JPEG2000 (SDK 5.0)

  GeoRaster (rw+s): Oracle Spatial GeoRaster

  MG4Lidar (ro): MrSID Generation 4 / Lidar (.sid)

  MrSID (rov): Multi-resolution Seamless Image Database (MrSID)

  VRT (rw+v): Virtual Raster

  GTiff (rw+vs): GeoTIFF

  NITF (rw+vs): National Imagery Transmission Format

  RPFTOC (rovs): Raster Product Format TOC format

  ECRGTOC (rovs): ECRG TOC format

  HFA (rw+v): Erdas Imagine Images (.img)

  SAR_CEOS (rov): CEOS SAR Image

  CEOS (rov): CEOS Image

  JAXAPALSAR (rov): JAXA PALSAR Product Reader (Level 1.1/1.5)

  GFF (rov): Ground-based SAR Applications Testbed File Format (.gff)

  ELAS (rw+v): ELAS

  AIG (rov): Arc/Info Binary Grid

  AAIGrid (rwv): Arc/Info ASCII Grid

  GRASSASCIIGrid (rov): GRASS ASCII Grid

  SDTS (rov): SDTS Raster

  OGDI (ros): OGDI Bridge

  DTED (rwv): DTED Elevation Raster

  PNG (rwv): Portable Network Graphics

  JPEG (rwv): JPEG JFIF

  MEM (rw+): In Memory Raster

  JDEM (rov): Japanese DEM (.mem)

  GIF (rwv): Graphics Interchange Format (.gif)

  BIGGIF (rov): Graphics Interchange Format (.gif)

  ESAT (rov): Envisat Image Format

  BSB (rov): Maptech BSB Nautical Charts

  XPM (rwv): X11 PixMap Format

  BMP (rw+v): MS Windows Device Independent Bitmap

  DIMAP (rov): SPOT DIMAP

  AirSAR (ro): AirSAR Polarimetric Image

  RS2 (ros): RadarSat 2 XML Product

  PCIDSK (rw+v): PCIDSK Database File
  PCRaster (rw): PCRaster Raster File

  ILWIS (rw+v): ILWIS Raster Map

  SGI (rw+): SGI Image File Format 1.0

  SRTMHGT (rwv): SRTMHGT File Format

  Leveller (rw+): Leveller heightfield

  Terragen (rw+): Terragen heightfield

  GMT (rw): GMT NetCDF Grid Format

  netCDF (rw+s): Network Common Data Format

  HDF4 (ros): Hierarchical Data Format Release 4

  HDF4Image (rw+): HDF4 Dataset

  ISIS3 (rov): USGS Astrogeology ISIS cube (Version 3)

  ISIS2 (rw+v): USGS Astrogeology ISIS cube (Version 2)

  PDS (rov): NASA Planetary Data System

  TIL (rov): EarthWatch .TIL

  ERS (rw+v): ERMapper .ers Labelled

  JP2OpenJPEG (rwv): JPEG-2000 driver based on OpenJPEG library

  L1B (rov): NOAA Polar Orbiter Level 1b Data Set

  FIT (rwv): FIT Image

  GRIB (rov): GRIdded Binary (.grb)

  RMF (rw+v): Raster Matrix Format

  WCS (rovs): OGC Web Coverage Service

  WMS (rwvs): OGC Web Map Service

  MSGN (ro): EUMETSAT Archive native (.nat)

  RST (rw+v): Idrisi Raster A.1

  INGR (rw+v): Intergraph Raster

  GSAG (rwv): Golden Software ASCII Grid (.grd)

  GSBG (rw+v): Golden Software Binary Grid (.grd)

  GS7BG (rw+v): Golden Software 7 Binary Grid (.grd)

  COSAR (ro): COSAR Annotated Binary Matrix (TerraSAR-X)

  TSX (rov): TerraSAR-X Product

  COASP (ro): DRDC COASP SAR Processor Raster

  R (rwv): R Object Data Store

  MAP (rov): OziExplorer .MAP

  PNM (rw+v): Portable Pixmap Format (netpbm)

  DOQ1 (rov): USGS DOQ (Old Style)

  DOQ2 (rov): USGS DOQ (New Style)

  ENVI (rw+v): ENVI .hdr Labelled

  EHdr (rw+v): ESRI .hdr Labelled

  GenBin (rov): Generic Binary (.hdr Labelled)

  PAux (rw+): PCI .aux Labelled

  MFF (rw+): Vexcel MFF Raster

  MFF2 (rw+): Vexcel MFF2 (HKV) Raster

  FujiBAS (ro): Fuji BAS Scanner Image

  GSC (rov): GSC Geogrid

  FAST (rov): EOSAT FAST Format

  BT (rw+v): VTP .bt (Binary Terrain) 1.3 Format

  LAN (rw+v): Erdas .LAN/.GIS

  CPG (ro): Convair PolGASP

  IDA (rw+): Image Data and Analysis

  NDF (rov): NLAPS Data Format

  EIR (rov): Erdas Imagine Raw

  DIPEx (rov): DIPEx

  LCP (rov): FARSITE v.4 Landscape File (.lcp)
  GTX (rw+v): NOAA Vertical Datum .GTX

  LOSLAS (rov): NADCON .los/.las Datum Grid Shift

  NTv2 (rw+vs): NTv2 Datum Grid Shift

  CTable2 (rw+v): CTable2 Datum Grid Shift

  ACE2 (rov): ACE2

  SNODAS (rov): Snow Data Assimilation System

  ARG (rwv): Azavea Raster Grid format

  RIK (ro): Swedish Grid RIK (.rik)

  USGSDEM (rwv): USGS Optional ASCII DEM (and CDED)

  GXF (ro): GeoSoft Grid Exchange Format

  HTTP (ro): HTTP Fetching Wrapper

  BAG (ro): Bathymetry Attributed Grid

  HDF5 (ros): Hierarchical Data Format Release 5

  HDF5Image (ro): HDF5 Dataset

  NWT_GRD (rov): Northwood Numeric Grid Format .grd/.tab

  NWT_GRC (rov): Northwood Classified Grid Format .grc/.tab

  ADRG (rw+vs): ARC Digitized Raster Graphics

  SRP (rov): Standard Raster Product (ASRP/USRP)

  BLX (rw): Magellan topo (.blx)

  Rasterlite (rws): Rasterlite

  PostGISRaster (rws): PostGIS Raster driver

  SAGA (rw+v): SAGA GIS Binary Grid (.sdat)

  KMLSUPEROVERLAY (rwv): Kml Super Overlay

  XYZ (rwv): ASCII Gridded XYZ

  HF2 (rwv): HF2/HFZ heightfield raster

PDF (rws): Geospatial PDF

  OZI (rov): OziExplorer Image File

  CTG (rov): USGS LULC Composite Theme Grid

  E00GRID (rov): Arc/Info Export E00 GRID

  ZMap (rwv): ZMap Plus Grid

  NGSGEOID (rov): NOAA NGS Geoid Height Grids

  MBTiles (rov): MBTiles

  IRIS (rov): IRIS data (.PPI, .CAPPi etc)

History

#1 - 2013-11-07 01:57 AM - Giovanni Manghi

- Operating System set to Windows

- Subject changed from support for georef pdf to QGIS cannot open geopdf under Windows (works on Linux)

#2 - 2014-11-08 10:21 PM - Andre Joost

Is this still a Windows-specific issue for QGIS 2.6?

Or should the problem be more general as reported in #8912 ?

#3 - 2014-11-09 10:28 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

in general opening geopdf now works also on Windows, there are still issues with certain types of geopdf, see #8912
